@ECHO Off


:: Bitte hier einstellen, in welchem Verzeichnis sich

:: die Postgres-Tools dropdb.exe, createdb.exe und

:: pgrestore.exe befinden. (ohne \ am Ende)

:: Der Ordner Programme lautet in Pfaden ab WIN7 "Program Files"!
:: Wegen der Leerzeichen im Pfad steht dieser in Anfuehrungszeichen.
SET pgpfad="C:\Program Files\PostgreSQL\9.2\bin"




CLS
COLOR 4E

ECHO Wiederherstellen einer ASV-Datenbank

ECHO ====================================

ECHO.
ECHO **********************************************************************
ECHO ***************BITTE GENAU LESEN!!!***********************************
ECHO **********************************************************************
ECHO.
ECHO Stoppen Sie zunaechst den ASV-Server.
ECHO.
ECHO Ziehen Sie die Sicherungsdatei mit der gedrueckten linken Maustaste
ECHO auf diese Restore-Batch-Datei.
ECHO.
ECHO Geben Sie auf Nachfrage die Kennwoerter des Postgres-Servers bzw. 
ECHO der asv-Datenbank an. (Sie sollten die Kennwoerter in Ihrer Ablage
ECHO finden!)
ECHO.
ECHO Starten Sie nach Abschluss der Ruecksicherung den ASV-Server wieder.
ECHO.
ECHO Brechen Sie die Programmausfuehrung hier ab, wenn Sie den ASV-Server
ECHO noch nicht gestoppt haben oder die Sicherungsdatei nicht auf diese
ECHO Datei gezogen haben! Anderenfalls ...
ECHO.
PAUSE
COLOR 0F

ECHO.


IF EXIST %1 GOTO RESTORE



ECHO Keine Backupdatei gefunden!

GOTO KEINEDATEI




:RESTORE



CLS

ECHO Wiederherstellen einer ASV-Datenbank
ECHO ====================================

ECHO.

ECHO 1. dropdb ... Loeschen der Datenbank asv

ECHO    Bitte hier das Postgres-Passwort angeben (falls es verlangt wird), 

ECHO    nicht das ASV-Datenbank-Passwort! (Siehe Datenblatt in Ihrer Ablage!)
ECHO.
ECHO    ACHTUNG: Die Passworteingabe wird nicht angezeigt!
ECHO    Eingabe mit RETURN-Taste abschliessen!
ECHO.

%pgpfad%\dropdb.exe -U asv asv



CLS
ECHO Wiederherstellen einer ASV-Datenbank
ECHO ====================================

ECHO.

ECHO 1. dropdb ... Die bisherige Datenbank wurde geloescht.

ECHO.

ECHO 2. createdb ... Anlegen einer leeren Datenbank mit Namen asv
ECHO    Bitte haben Sie ein wenig Geduld!
ECHO.
ECHO    Bitte geben Sie das ASV-Datenbank-Passwort an! 
ECHO    (Siehe Datenblatt in Ihrer Ablage!)

ECHO.
ECHO    ACHTUNG: Die Passworteingabe wird nicht angezeigt!
ECHO    Eingabe mit RETURN-Taste abschliessen!
ECHO.

%pgpfad%\createdb.exe -U asv asv
IF NOT %ERRORLEVEL%==0 GOTO FEHLER2




CLS

ECHO Wiederherstellen einer ASV-Datenbank

ECHO ====================================

ECHO.

ECHO 1. dropdb ...   Die bisherige Datenbank wurde geloescht.

ECHO.

ECHO 2. createdb ... Die neue (noch leere Datenbank) wurde angelegt.

ECHO.

ECHO 3. pg_restore ... Einspielen der Daten aus dem Backup

ECHO    Der Restore-Vorgang kann ein paar Minuten dauern. 
ECHO    Bitte Geduld, bis die Datenbank wiederhergestellt wird:
ECHO    %1

ECHO.

ECHO    Bitte nochmal das ASV-Datenbank-Passwort angeben!
ECHO    (Siehe Datenblatt in der Ablage!)

ECHO.
ECHO    ACHTUNG: Die Passworteingabe wird nicht angezeigt!
ECHO    Eingabe mit RETURN-Taste abschliessen!
ECHO.

%pgpfad%\pg_restore.exe -d asv -U asv -v %1




CLS

COLOR 2F
ECHO Wiederherstellen einer ASV-Datenbank

ECHO =====================================

ECHO.

ECHO 1. dropdb ...   Die bisherige Datenbank wurde geloescht.

ECHO.

ECHO 2. createdb ... Die neue (noch leere Datenbank) wurde angelegt.

ECHO.

ECHO 3. pg_restore   Die leere Datenbank wurde mit Inhalten gefuellt.

ECHO.

ECHO.

ECHO                 Die Wiederherstellung der ASV-Datenbank 

ECHO                 %1 

ECHO                 ist erfolgreich abgeschlossen.

GOTO ENDE




:KEINEDATEI
CLS
COLOR 4E
ECHO Wiederherstellen einer ASV-Datenbank

ECHO ====================================
ECHO.

ECHO Es wurde keine .backup-Datei fuer Postgres angegeben.

ECHO Bitte 'ziehen' Sie mit gedrueckter linker Maustaste
ECHO eine solche Datei auf diese .bat-Datei!

GOTO ENDE




:FEHLER2

CLS

COLOR 4E
ECHO Wiederherstellen einer ASV-Datenbank

ECHO ====================================

ECHO.

ECHO Fehler beim Erstellen der Datenbank.

ECHO Moegliche Fehlerquellen:

ECHO   - Laeuft der ASV-Server noch?

ECHO   - Sie haben ein falsches ASV-Datenbankkennwort angegeben.

GOTO ENDE



:ENDE

ECHO.


ECHO Vergessen Sie nicht, Ihren ASV-Server wieder zu starten!
ECHO.
PAUSE