@ECHO OFF
:: Diese Datei, die asv_backup.bat und asv_restore.bat sollten sich nicht im
:: Verzeichnis der Sicherungsdateien befinden, weil sie sonst in 
:: den Lschvorgang einbezogen werden!

:: Empfohlene Verzeichnisstruktur: 
:: C:\ASV-Sicherung_Programme -> Hier liegen die drei oben genannten Programme
:: X:\ASV-Backups -> Hier liegen die Datenbanksicherungen von ASV

:: Diese Datei wird tglich um 18:01 Uhr nach der tglichen Sicherung
:: der ASV-Datenbank ber die Systemsteuerung/Verwaltung/Aufgabenplanung
:: gestartet. Hier muss auch der Speicherort dieser Batch-Datei
:: angegeben werden.


ECHO Automatisches Loeschen aelterer ASV-Backup-Dateien
ECHO ==================================================
ECHO               (getestet fuer Windows 8)
ECHO.
ECHO.

:: Hier wird die Anzahl der neuesten zu behaltenden Dateien festgelegt.
:: Wegen der Sommerferien sollte die Anzahl der zu behaltenden
:: Sicherungen ca. 60 sein.
set Anzahl=60

:: Hier wird der Ordner festgelegt, in dem sich die zu loeschenden Dateien befinden.
:: Es muss der ganze Pfad ab Laufwerksbuchstabe angegeben werden!
:: Bei Leerstellen im Pfad den Pfad in Anfhrungszeichen setzen!
set Ordner=X:\ASV-Backups



:: Syntaxerklaerung

:: skip uebergeht die in set Anzahl vorgegebenen Zeilen eines Verzeichnisses

:: delims ersetzt Leerzeichen (Trennzeichen = Delimiter) in Dateinamen durch 
:: Unterstriche, Bindestriche, oder ignoriert diese ...

:: dir /b gibt nur die Dateinamen eines Ordners (keine Unterordner!) 
:: ohne Zeitstempel oder Pfad wieder

:: dir /a-d gibt den Inhalt eines Ordners ohne Unterordner wieder

:: dir /o-d gibt den Inhalt eines Ordners nach Datum wieder: neuestes Element zuerst



:: Testbetrieb des Programms: 
:: Hier werden die zu lschenden Backups nur angezeigt und nicht gelscht
:: Zum Testen unbedingt vor alle Zeilen im unteren Kapitel Lschvorgang mit :: versehen!
:: Die :: in der naechsten beiden Zeilen zum Testen entfernen! Bei der Scharfschaltung :: setzen!
:: for /f "skip=%Anzahl% delims=" %%i in ('dir /b /a-d /o-d "%Ordner%"') do echo del "%Ordner%\%%i"
:: pause


:: Lschvorgang (VORSICHT, AKTION NICHT UMKEHRBAR!!)
:: =================================================
:: Scharfschaltung des Programms:
:: Die :: in der naechsten Zeile fr die Scharfschaltung des Programms entfernen!
for /f "skip=%Anzahl% delims=" %%i in ('dir /b /a-d /o-d "%Ordner%"') do del "%Ordner%\%%i"



